﻿// C# to Create a Custom Ribalog
//   lines starting with a // are comments
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using VCadd32;

namespace API_Help_CSharp
{
    public partial class CustRibalog : Form
    {
        // construct a Visual CADD object
        static Automation vcadd = new Automation();

        public static int Run(string szDllCommandLine)
        {
            //  create our ribalog
            CustRibalog ribalog = new CustRibalog();
            return 1;
        }

        public CustRibalog()
        {
            //  standard C# initialization
            InitializeComponent();

            //  show our ribalog
            Show();

            //  Get the Visual CADD tool bar size and location
            Array ribSize;
            ribSize = vcadd.GetRibalogSize();

            //  Set our ribalog to the tool bar size and location
            Location = new System.Drawing.Point((int)ribSize.GetValue(0), (int)ribSize.GetValue(1));
            Size = new System.Drawing.Size((int)ribSize.GetValue(2), (int)ribSize.GetValue(3));
        }

        //  OK button clicked
        private void button1_Click(object sender, EventArgs e)
        {
            // construct a point object
            VCadd32.VCPoint2D pt = new VCadd32.VCPoint2D();

            // set the point to the origin
            pt.X = 0.0;
            pt.Y = 0.0;

            // set text string
            vcadd.SetTextString(textBox1.Text);

            // place the text in the drawing at the given point
            //   -1 means in the drawing, other options 
            //   can place it in a symbol definition
            vcadd.AddTextEntity(-1, pt);

            // zoom all to see the text
            vcadd.ZoomAll();

            //  Done.  Close ourself.
            Close();
        }
    }
}
