﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using VCadd32;

namespace API_Help_CSharp
{
    // C# to say Hello World!
    //   lines starting with a // are comments
    public class HelloWorld
    {
        // construct a Visual CADD object
        static VCadd32.Automation vcadd = new VCadd32.Automation();

        public static int Run(string szDllCommandLine)
        {
            // construct a point object
            VCadd32.VCPoint2D pt = new VCadd32.VCPoint2D();

            // set the point to the origin
            pt.X = 0.0;
            pt.Y = 0.0;
            
            // set text string
            vcadd.SetTextString("Hello World!");

            // place the text in the drawing at the given point
            //   -1 means in the drawing, other options 
            //   can place it in a symbol definition
            vcadd.AddTextEntity(-1, pt);

            // zoom all to see the text
            vcadd.ZoomAll();

            return 1;
        }
    }
}
